﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public GPS As GPS
	Public gpsStarted As Boolean
	Public StartLocation, EndLocation As Location
	Public LatitudeReal, LongitudeReal As Double
	Public LatitudeStart, LongitudeEnd As Double
	Public listLocations As List
	Public Distance As Double = 0
	Public cpt As Int = 0
	Public latitu, longi As Double
	'----Gmaps values
	Dim gmaps As Map
	Dim gmapsList As List
	'----fin
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.

End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Public Sub StartGps 'Demarre le GPS
	If gpsStarted = False Then
		GPS.Start(0, 0)
		gpsStarted = True
	End If
End Sub

Public Sub StopGps 'Stop le GPS
	If gpsStarted Then
		GPS.Stop
		gpsStarted = False
	End If
End Sub

Sub GPS_GpsStatus (Satellites As List) '
	'CallSub2(page_activite, "GpsStatus", Satellites)
End Sub

Sub GPS_LocationChanged (Location1 As Location)
	Dim locations As LatLng
	Dim sbb As StringBuilder
	
	locations.Initialize(Location1.Latitude,Location1.Longitude)
	listLocations.Add(locations)
	LatitudeReal   = Location1.Latitude
	LongitudeReal  = Location1.Longitude
	If cpt == 0 Then
		StartLocation.Initialize2(LatitudeReal, LongitudeReal)
	End If
	EndLocation.Initialize2(LatitudeReal, LongitudeReal)
	Distance = Distance + StartLocation.DistanceTo(EndLocation)
	LatitudeStart = LatitudeReal
	LongitudeEnd = LongitudeReal
	StartLocation.Initialize2(LatitudeStart, LongitudeEnd)
	sbb.Initialize
	
	sbb.Append("timestamp," & Chr(34) & (Round(DateTime.Now/1000)-631065600) & Chr(34) & ",s,altitude,"&Chr(34)&(Location1.Altitude)&Chr(34)&",m,distance,"&Chr(34) & Distance & Chr(34) & ",m,speed," & Chr(34) & $"$1.2{Location1.Speed}"$ & Chr(34) & ",m/s,position_lat,"& Chr(34) & (Round(Location1.Latitude*11930464.7111)) & Chr(34) & ",position_long,"&Chr(34) & (Round(Location1.Longitude*11930464.7111))&Chr(34))
	

	cpt = cpt + 1
	CallSub3(Main, "update_tracking", LatitudeReal, LongitudeReal)
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
